%define api 0.1
%define major 0
%define libname %mklibname %name %api %major
%define girname %mklibname %name-gir %api
%define develname %mklibname -d %name

Name: grilo
Version: 0.1.17
Release: %mkrel 1
Summary: Content discovery framework
Group: System/Libraries
License: LGPLv2+
Source0: http://ftp.gnome.org/pub/GNOME/sources/grilo/0.1/grilo-%{version}.tar.xz
Url: http://live.gnome.org/Grilo
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.22
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0
BuildRequires: pkgconfig(libsoup-2.4) >= 2.33.4
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: vala-devel >= 0.7.2
BuildRequires: vala-tools >= 0.7.2
BuildRequires: gnome-common
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel >= 0.9.0

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package -n %libname
Summary: Libraries files for Grilo framework
Group: System/Libraries

%description -n %libname
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.


%package -n %develname
Summary: Libraries/include files for Grilo framework
Group: Development/Libraries
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %develname
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%prep
%setup -q

%build
%configure2_5x --disable-static \
 --enable-vala \
 --enable-gtk-doc \
 --enable-introspection \
 --enable-grl-net \
 --disable-tests
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/grilo-0.1 %{buildroot}%{_datadir}/grilo-0.1/plugins

# Remove files that will not be packaged
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%files
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/grl-inspect
%{_bindir}/grilo-test-ui
%{_libdir}/grilo-0.1
%{_datadir}/grilo-0.1/plugins
%{_mandir}/man1/grl-inspect.1.*

%files -n %libname
%{_libdir}/*-%api.so.%major
%{_libdir}/*-%api.so.%major.*
%{_libdir}/girepository-1.0/*-%api.typelib

%files -n %develname
%doc AUTHORS COPYING NEWS README TODO
%{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-0.1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala-*/vapi/*


%changelog
* Sun Sep 25 2011 Texstar <texstar at gmail.com> 0.1.17-1pclos2011
- 0.1.17
